Bug 436926 - ath5k high cpu usage
ath5k high cpu usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 03:36 EDT by Matthias Runge
Modified: 2008-11-26 08:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 08:05:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2008-03-11 03:36:14 EDT
Description of problem:
If the module ath5k is loaded, the cpu does not switch to power save modes
higher than C2. Unload the module, and cpu sleeps peaceful in C4. 
(viewed through powertop)

Version-Release number of selected component (if applicable):
kernel-2.6.24.3-12.fc8

How reproducible:
Every time

Steps to Reproduce:
1. modprobe ath5k
2.
3.
  
Actual results:
Load the module, cpu mode jumps to C2

Expected results:
less cpu usage

Additional info:
Comment 1 Chuck Ebbert 2008-08-01 14:41:56 EDT
ath5k generates 130 interrupts/second if the interface is up even when there is
no traffic at all (not associated, just did "ifconfig wlan0 up) using kernel
2.6.25.11-60.fc8
Comment 2 Bug Zapper 2008-11-26 05:07:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matthias Runge 2008-11-26 08:05:14 EST
In later kernels, this problem does not exist anymore. We shall close this bug.
Comment 4 Matthias Runge 2008-11-26 08:08:08 EST
Oops, I am allowed to close this bug? Really sorry, if I caused inconveniance for anybody.

Note You need to log in before you can comment on or make changes to this bug.